<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.platform.yijia.dao.StationPayManageMapper">
  <resultMap id="BaseResultMap" type="com.platform.yijia.pojo.StationPayManage">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="pay_id" jdbcType="INTEGER" property="payId" />
    <result column="pay_mode" jdbcType="VARCHAR" property="payMode" />
    <result column="station_id" jdbcType="INTEGER" property="stationId" />
    <result column="station_name" jdbcType="VARCHAR" property="stationName" />
    <result column="image_photos_flag" jdbcType="CHAR" property="imagePhotosFlag" />
    <result column="card_enabled_flag" jdbcType="CHAR" property="cardEnabledFlag" />
    <result column="preferential_way_share_flag" jdbcType="CHAR" property="preferentialWayShareFlag" />
    <result column="other_preferential_way" jdbcType="VARCHAR" property="otherPreferentialWay" />
    <result column="pay_print_num" jdbcType="INTEGER" property="payPrintNum" />
    <result column="pay_callback_page" jdbcType="VARCHAR" property="payCallbackPage" />
    <result column="ws_print_flag" jdbcType="CHAR" property="wsPrintFlag" />
  </resultMap>
  <resultMap extends="BaseResultMap" id="ResultMapWithBLOBs" type="com.platform.yijia.pojo.StationPayManage">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <result column="activity_pic" jdbcType="LONGVARBINARY" property="activityPic" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    pay_id, pay_mode, station_id, station_name, image_photos_flag, card_enabled_flag, 
    preferential_way_share_flag, other_preferential_way, pay_print_num, pay_callback_page, 
    ws_print_flag
  </sql>
  <sql id="Blob_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    activity_pic
  </sql>
  <select id="selectByExampleWithBLOBs" parameterType="com.platform.yijia.pojo.StationPayManageExample" resultMap="ResultMapWithBLOBs">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    ,
    <include refid="Blob_Column_List" />
    from station_pay_manage
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByExample" parameterType="com.platform.yijia.pojo.StationPayManageExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from station_pay_manage
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="ResultMapWithBLOBs">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    ,
    <include refid="Blob_Column_List" />
    from station_pay_manage
    where pay_id = #{payId,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from station_pay_manage
    where pay_id = #{payId,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.platform.yijia.pojo.StationPayManageExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from station_pay_manage
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.platform.yijia.pojo.StationPayManage">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into station_pay_manage (pay_id, pay_mode, station_id, 
      station_name, image_photos_flag, card_enabled_flag, 
      preferential_way_share_flag, other_preferential_way, 
      pay_print_num, pay_callback_page, ws_print_flag, 
      activity_pic)
    values (#{payId,jdbcType=INTEGER}, #{payMode,jdbcType=VARCHAR}, #{stationId,jdbcType=INTEGER}, 
      #{stationName,jdbcType=VARCHAR}, #{imagePhotosFlag,jdbcType=CHAR}, #{cardEnabledFlag,jdbcType=CHAR}, 
      #{preferentialWayShareFlag,jdbcType=CHAR}, #{otherPreferentialWay,jdbcType=VARCHAR}, 
      #{payPrintNum,jdbcType=INTEGER}, #{payCallbackPage,jdbcType=VARCHAR}, #{wsPrintFlag,jdbcType=CHAR}, 
      #{activityPic,jdbcType=LONGVARBINARY})
  </insert>
  <insert id="insertSelective" parameterType="com.platform.yijia.pojo.StationPayManage">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into station_pay_manage
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="payId != null">
        pay_id,
      </if>
      <if test="payMode != null">
        pay_mode,
      </if>
      <if test="stationId != null">
        station_id,
      </if>
      <if test="stationName != null">
        station_name,
      </if>
      <if test="imagePhotosFlag != null">
        image_photos_flag,
      </if>
      <if test="cardEnabledFlag != null">
        card_enabled_flag,
      </if>
      <if test="preferentialWayShareFlag != null">
        preferential_way_share_flag,
      </if>
      <if test="otherPreferentialWay != null">
        other_preferential_way,
      </if>
      <if test="payPrintNum != null">
        pay_print_num,
      </if>
      <if test="payCallbackPage != null">
        pay_callback_page,
      </if>
      <if test="wsPrintFlag != null">
        ws_print_flag,
      </if>
      <if test="activityPic != null">
        activity_pic,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="payId != null">
        #{payId,jdbcType=INTEGER},
      </if>
      <if test="payMode != null">
        #{payMode,jdbcType=VARCHAR},
      </if>
      <if test="stationId != null">
        #{stationId,jdbcType=INTEGER},
      </if>
      <if test="stationName != null">
        #{stationName,jdbcType=VARCHAR},
      </if>
      <if test="imagePhotosFlag != null">
        #{imagePhotosFlag,jdbcType=CHAR},
      </if>
      <if test="cardEnabledFlag != null">
        #{cardEnabledFlag,jdbcType=CHAR},
      </if>
      <if test="preferentialWayShareFlag != null">
        #{preferentialWayShareFlag,jdbcType=CHAR},
      </if>
      <if test="otherPreferentialWay != null">
        #{otherPreferentialWay,jdbcType=VARCHAR},
      </if>
      <if test="payPrintNum != null">
        #{payPrintNum,jdbcType=INTEGER},
      </if>
      <if test="payCallbackPage != null">
        #{payCallbackPage,jdbcType=VARCHAR},
      </if>
      <if test="wsPrintFlag != null">
        #{wsPrintFlag,jdbcType=CHAR},
      </if>
      <if test="activityPic != null">
        #{activityPic,jdbcType=LONGVARBINARY},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.platform.yijia.pojo.StationPayManageExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from station_pay_manage
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update station_pay_manage
    <set>
      <if test="record.payId != null">
        pay_id = #{record.payId,jdbcType=INTEGER},
      </if>
      <if test="record.payMode != null">
        pay_mode = #{record.payMode,jdbcType=VARCHAR},
      </if>
      <if test="record.stationId != null">
        station_id = #{record.stationId,jdbcType=INTEGER},
      </if>
      <if test="record.stationName != null">
        station_name = #{record.stationName,jdbcType=VARCHAR},
      </if>
      <if test="record.imagePhotosFlag != null">
        image_photos_flag = #{record.imagePhotosFlag,jdbcType=CHAR},
      </if>
      <if test="record.cardEnabledFlag != null">
        card_enabled_flag = #{record.cardEnabledFlag,jdbcType=CHAR},
      </if>
      <if test="record.preferentialWayShareFlag != null">
        preferential_way_share_flag = #{record.preferentialWayShareFlag,jdbcType=CHAR},
      </if>
      <if test="record.otherPreferentialWay != null">
        other_preferential_way = #{record.otherPreferentialWay,jdbcType=VARCHAR},
      </if>
      <if test="record.payPrintNum != null">
        pay_print_num = #{record.payPrintNum,jdbcType=INTEGER},
      </if>
      <if test="record.payCallbackPage != null">
        pay_callback_page = #{record.payCallbackPage,jdbcType=VARCHAR},
      </if>
      <if test="record.wsPrintFlag != null">
        ws_print_flag = #{record.wsPrintFlag,jdbcType=CHAR},
      </if>
      <if test="record.activityPic != null">
        activity_pic = #{record.activityPic,jdbcType=LONGVARBINARY},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExampleWithBLOBs" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update station_pay_manage
    set pay_id = #{record.payId,jdbcType=INTEGER},
      pay_mode = #{record.payMode,jdbcType=VARCHAR},
      station_id = #{record.stationId,jdbcType=INTEGER},
      station_name = #{record.stationName,jdbcType=VARCHAR},
      image_photos_flag = #{record.imagePhotosFlag,jdbcType=CHAR},
      card_enabled_flag = #{record.cardEnabledFlag,jdbcType=CHAR},
      preferential_way_share_flag = #{record.preferentialWayShareFlag,jdbcType=CHAR},
      other_preferential_way = #{record.otherPreferentialWay,jdbcType=VARCHAR},
      pay_print_num = #{record.payPrintNum,jdbcType=INTEGER},
      pay_callback_page = #{record.payCallbackPage,jdbcType=VARCHAR},
      ws_print_flag = #{record.wsPrintFlag,jdbcType=CHAR},
      activity_pic = #{record.activityPic,jdbcType=LONGVARBINARY}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update station_pay_manage
    set pay_id = #{record.payId,jdbcType=INTEGER},
      pay_mode = #{record.payMode,jdbcType=VARCHAR},
      station_id = #{record.stationId,jdbcType=INTEGER},
      station_name = #{record.stationName,jdbcType=VARCHAR},
      image_photos_flag = #{record.imagePhotosFlag,jdbcType=CHAR},
      card_enabled_flag = #{record.cardEnabledFlag,jdbcType=CHAR},
      preferential_way_share_flag = #{record.preferentialWayShareFlag,jdbcType=CHAR},
      other_preferential_way = #{record.otherPreferentialWay,jdbcType=VARCHAR},
      pay_print_num = #{record.payPrintNum,jdbcType=INTEGER},
      pay_callback_page = #{record.payCallbackPage,jdbcType=VARCHAR},
      ws_print_flag = #{record.wsPrintFlag,jdbcType=CHAR}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.platform.yijia.pojo.StationPayManage">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update station_pay_manage
    <set>
      <if test="payMode != null">
        pay_mode = #{payMode,jdbcType=VARCHAR},
      </if>
      <if test="stationId != null">
        station_id = #{stationId,jdbcType=INTEGER},
      </if>
      <if test="stationName != null">
        station_name = #{stationName,jdbcType=VARCHAR},
      </if>
      <if test="imagePhotosFlag != null">
        image_photos_flag = #{imagePhotosFlag,jdbcType=CHAR},
      </if>
      <if test="cardEnabledFlag != null">
        card_enabled_flag = #{cardEnabledFlag,jdbcType=CHAR},
      </if>
      <if test="preferentialWayShareFlag != null">
        preferential_way_share_flag = #{preferentialWayShareFlag,jdbcType=CHAR},
      </if>
      <if test="otherPreferentialWay != null">
        other_preferential_way = #{otherPreferentialWay,jdbcType=VARCHAR},
      </if>
      <if test="payPrintNum != null">
        pay_print_num = #{payPrintNum,jdbcType=INTEGER},
      </if>
      <if test="payCallbackPage != null">
        pay_callback_page = #{payCallbackPage,jdbcType=VARCHAR},
      </if>
      <if test="wsPrintFlag != null">
        ws_print_flag = #{wsPrintFlag,jdbcType=CHAR},
      </if>
      <if test="activityPic != null">
        activity_pic = #{activityPic,jdbcType=LONGVARBINARY},
      </if>
    </set>
    where pay_id = #{payId,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKeyWithBLOBs" parameterType="com.platform.yijia.pojo.StationPayManage">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update station_pay_manage
    set pay_mode = #{payMode,jdbcType=VARCHAR},
      station_id = #{stationId,jdbcType=INTEGER},
      station_name = #{stationName,jdbcType=VARCHAR},
      image_photos_flag = #{imagePhotosFlag,jdbcType=CHAR},
      card_enabled_flag = #{cardEnabledFlag,jdbcType=CHAR},
      preferential_way_share_flag = #{preferentialWayShareFlag,jdbcType=CHAR},
      other_preferential_way = #{otherPreferentialWay,jdbcType=VARCHAR},
      pay_print_num = #{payPrintNum,jdbcType=INTEGER},
      pay_callback_page = #{payCallbackPage,jdbcType=VARCHAR},
      ws_print_flag = #{wsPrintFlag,jdbcType=CHAR},
      activity_pic = #{activityPic,jdbcType=LONGVARBINARY}
    where pay_id = #{payId,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.platform.yijia.pojo.StationPayManage">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update station_pay_manage
    set pay_mode = #{payMode,jdbcType=VARCHAR},
      station_id = #{stationId,jdbcType=INTEGER},
      station_name = #{stationName,jdbcType=VARCHAR},
      image_photos_flag = #{imagePhotosFlag,jdbcType=CHAR},
      card_enabled_flag = #{cardEnabledFlag,jdbcType=CHAR},
      preferential_way_share_flag = #{preferentialWayShareFlag,jdbcType=CHAR},
      other_preferential_way = #{otherPreferentialWay,jdbcType=VARCHAR},
      pay_print_num = #{payPrintNum,jdbcType=INTEGER},
      pay_callback_page = #{payCallbackPage,jdbcType=VARCHAR},
      ws_print_flag = #{wsPrintFlag,jdbcType=CHAR}
    where pay_id = #{payId,jdbcType=INTEGER}
  </update>
</mapper>